org.apache.myfaces.trinidad.webapp

## Class UIXComponentTag

- java.lang.Object
- - javax.faces.webapp.UIComponentTagBase
  - - javax.faces.webapp.UIComponentClassicTagBase
    - - javax.faces.webapp.UIComponentTag
      - - org.apache.myfaces.trinidad.webapp.UIXComponentTag

- All Implemented Interfaces:
    javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspIdConsumer, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

      public abstract class UIXComponentTag
      extends javax.faces.webapp.UIComponentTag

  Subclass of UIComponentTag to add convenience methods, and optimize where appropriate.

- - ### Field Summary

    - ### Fields inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `bodyContent, pageContext, UNIQUE_ID_PREFIX`

    - ### Fields inherited from class javax.faces.webapp.UIComponentTagBase

      `log`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.Tag

      `EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.BodyTag

      `EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

    - ### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

      `EVAL_BODY_AGAIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIXComponentTag()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected javax.faces.el.MethodBinding` | `createMethodBinding(String string, Class[] types)`
    `protected javax.faces.el.ValueBinding` | `createValueBinding(String string)`
    `int` | `doStartTag()`
    `void` | `setAttributeChangeListener(String attributeChangeListener)`
    `protected void` | `setBooleanProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Boolean.
    `protected void` | `setCharacterProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Character.
    `protected void` | `setDateProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.util.Date.
    `protected void` | `setDoubleProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Double.
    `protected void` | `setFloatProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Float.
    `void` | `setId(String id)`
    `protected void` | `setIntArrayProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type int[].
    `protected void` | `setIntegerProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Integer.
    `protected void` | `setLongProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Long.
    `protected void` | `setNumberProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.Number.
    `protected void` | `setProperties(FacesBean bean)`
    `protected void` | `setProperties(javax.faces.component.UIComponent component)`
    `protected void` | `setProperty(FacesBean bean, PropertyKey key, String value)`
    `void` | `setRendered(String rendered)`
    `protected void` | `setStringArrayProperty(FacesBean bean, PropertyKey key, String value)` Set a property of type java.lang.String[].
    `protected void` | `setValidationError(String validationError)` Sets any fatal validation error that could have happened during property setting.

    - ### Methods inherited from class javax.faces.webapp.UIComponentTag

      `createComponent, getParentUIComponentTag, hasBinding, isSuppressed, isValueReference, release, setBinding`

    - ### Methods inherited from class javax.faces.webapp.UIComponentClassicTagBase

      `addChild, addFacet, addVerbatimAfterComponent, addVerbatimBeforeComponent, createVerbatimComponent, createVerbatimComponentFromBodyContent, doAfterBody, doEndTag, doInitBody, encodeBegin, encodeChildren, encodeEnd, findComponent, getBodyContent, getComponentInstance, getCreated, getCreatedComponents, getDoAfterBodyValue, getDoEndValue, getDoStartValue, getFacesContext, getFacesJspId, getFacetName, getId, getIndexOfNextChildTag, getJspId, getParent, getParentUIComponentClassicTagBase, getPreviousOut, setBodyContent, setJspId, setPageContext, setParent, setupResponseWriter`

    - ### Methods inherited from class javax.faces.webapp.UIComponentTagBase

      `getComponentType, getELContext, getRendererType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.jsp.tagext.Tag

      `doEndTag, getParent, setPageContext, setParent`

- - ### Constructor Detail

    - #### UIXComponentTag

          public UIXComponentTag()

  - ### Method Detail

    - #### setId

          public void setId(String id)

      Overrides:
        `setId` in class `javax.faces.webapp.UIComponentClassicTagBase`

    - #### setRendered

          public void setRendered(String rendered)

      Overrides:
        `setRendered` in class `javax.faces.webapp.UIComponentTag`

    - #### setAttributeChangeListener

          public void setAttributeChangeListener(String attributeChangeListener)

    - #### doStartTag

          public int doStartTag()
                         throws javax.servlet.jsp.JspException

      Specified by:
        `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
      Overrides:
        `doStartTag` in class `javax.faces.webapp.UIComponentClassicTagBase`
      Throws:
        `javax.servlet.jsp.JspException`

    - #### setProperties

          protected final void setProperties(javax.faces.component.UIComponent component)

      Overrides:
        `setProperties` in class `javax.faces.webapp.UIComponentTag`

    - #### setProperty

          protected void setProperty(FacesBean bean,
                         PropertyKey key,
                         String value)

    - #### setBooleanProperty

          protected void setBooleanProperty(FacesBean bean,
                                PropertyKey key,
                                String value)

      Set a property of type java.lang.Boolean. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Integer.valueOf(). Null values are ignored.

    - #### setNumberProperty

          protected void setNumberProperty(FacesBean bean,
                               PropertyKey key,
                               String value)

      Set a property of type java.lang.Number. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Integer.valueOf() or Double.valueOf() . Null values are ignored.

    - #### setIntegerProperty

          protected void setIntegerProperty(FacesBean bean,
                                PropertyKey key,
                                String value)

      Set a property of type java.lang.Integer. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Integer.valueOf(). Null values are ignored.

    - #### setCharacterProperty

          protected void setCharacterProperty(FacesBean bean,
                                  PropertyKey key,
                                  String value)

      Set a property of type java.lang.Character. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, its first character will be stored (unless it is an empty string, in which case it will be ignored). Null values are ignored.

    - #### setLongProperty

          protected void setLongProperty(FacesBean bean,
                             PropertyKey key,
                             String value)

      Set a property of type java.lang.Long. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Long.valueOf(). Null values are ignored.

    - #### setDoubleProperty

          protected void setDoubleProperty(FacesBean bean,
                               PropertyKey key,
                               String value)

      Set a property of type java.lang.Double. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Double.valueOf(). Null values are ignored.

    - #### setFloatProperty

          protected void setFloatProperty(FacesBean bean,
                              PropertyKey key,
                              String value)

      Set a property of type java.lang.Float. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed with Float.valueOf(). Null values are ignored.

    - #### setStringArrayProperty

          protected void setStringArrayProperty(FacesBean bean,
                                    PropertyKey key,
                                    String value)

      Set a property of type java.lang.String[]. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed as a whitespace-separated series of strings. Null values are ignored.

    - #### setIntArrayProperty

          protected void setIntArrayProperty(FacesBean bean,
                                 PropertyKey key,
                                 String value)

      Set a property of type int[]. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed as a whitespace-separated series of ints. Null values are ignored.

    - #### setDateProperty

          protected void setDateProperty(FacesBean bean,
                             PropertyKey key,
                             String value)

      Set a property of type java.util.Date. If the value is an EL expression, it will be stored as a ValueBinding. Otherwise, it will parsed as an ISO 8601 date (yyyy-MM-dd). Null values are ignored.

    - #### createValueBinding

          protected final javax.faces.el.ValueBinding createValueBinding(String string)

    - #### createMethodBinding

          protected final javax.faces.el.MethodBinding createMethodBinding(String string,
                                                         Class[] types)

    - #### setProperties

          protected void setProperties(FacesBean bean)

    - #### setValidationError

          protected void setValidationError(String validationError)

      Sets any fatal validation error that could have happened during property setting. If this is set, tag execution aborts with a JspException at the end of doStartTag().
      Parameters:
        `validationError` -

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.